// JFIF
"JFIF Version" = "JFIF Version";
"Density Unit" = "Density Unit";
"X Density" = "X Density";
"Y Density" = "Y Density";
"Thumbnail Width" = "Thumbnail Width";
"Thumbnail Height" = "Thumbnail Height";
"No Units" = "No Units";
"Dots per inch" = "Dots per inch";
"Dots per cm" = "Dots per cm";

// Byte
"Byte Order" = "Byte Order";
"Little Endian" = "Little Endian";
"Big Endian" = "Big Endian";
"Multiple Values" = "Multiple Values";

// TIFF
"New Subfile Type" = "New Subfile Type";
"Subfile Type" = "Subfile Type";
"Image Width" = "Image Width";
"Image Length" = "Image Height";
"Bits per Sample" = "Bits per Sample";
"Compression" = "Compression";

"Photometric Interpretation" = "Photometric Interpretation";
"Thresh holding" = "Thresh holding";
"Cell Width" = "Cell Width";
"Cell Length" = "Cell Height";
"Fill Order" = "Fill Order";
"Document Name" = "Document Name";

"Image Description" = "Image Description";
"Make" = "Make";
"Model" = "Model";
"Strip Offsets" = "Strip Offsets";
"Orientation" = "Orientation";

"Samples per Pixel" = "Samples per Pixel";
"Rows per Strip" = "Rows per Strip";
"Strip Byte Counts" = "Strip Byte Counts";
"Min Sample Value" = "Min Sample Value";
"Max Sample Value" = "Max Sample Value";
"X Resolution" = "X Resolution";
"Y Resolution" = "Y Resolution";

"Planar Configuration" = "Planar Configuration";
"Resolution Unit" = "Resolution Unit";
"Page Number" = "Page Number";
"Page Name" = "Page Name";
"X Position" = "X Position";
"Y Position" = "Y Position";

"Transfer Function" = "Transfer Function";
"Software" = "Software";
"Date Time" = "Date Time";

"Artist" = "Artist";
"Host Computer" = "Host Computer";
"Predictor" = "Predictor";
"White Point" = "White Point";
"Primary Chromaticities" = "Primary Chromaticities";
"Color Map" = "Color Map";

"Ink Set" = "Ink Set";
"Ink Names" = "Ink Names";
"Number of Inks" = "Number of Inks";

"YCbCr Coefficients" = "YCbCr Coefficients";
"YCbCr SubSampling" = "YCbCr Sub Sampling";
"YCbCr Positioning" = "YCbCr Positioning";
"Reference Black White" = "Reference Black White";
"Copyright" = "Copyright";

"Exif Data" = "Exif Data";
"GPS Data" = "GPS Data";
"XMP Data" = "XMP Data";
"IPTC Information Interchange Model" = "IPTC Information Interchange Model";
"Photoshop Data" = "Photoshop Data";
"ICC Profile" = "ICC Profile";
"Image Source Data" = "Image Source Data";

"Thumbnail" = "Thumbnail";

"Free Offsets" = "Free Offsets";
"Free Byte Counts" = "Free Byte Counts";
"Gray Response Unit" = "Gray Response Unit";
"Gray Response Curve" = "Gray Response Curve";
"T4 Options" = "T4 Options";
"T6 Options" = "T6 Options";

"Halftone Hints" = "Halftone Hints";
"Tile Width" = "Tile Width";
"Tile Length" = "Tile Length";
"Tile Offsets" = "Tile Offsets";
"Tile Byte Counts" = "Tile Byte Counts";

"Dot Range" = "Dot Range";
"Target Printer" = "Target Printer";
"Extra Samples" = "Extra Samples";
"Sample Format" = "Sample Format";
"S Min Sample Value" = "S Min Sample Value";
"S Max Sample Value" = "S Max Sample Value";
"Transfer Range" = "Transfer Range";

"JPEG Proc" = "JPEG Proc";
"JPEG Interchange Format" = "JPEG Interchange Format";
"JPEG Interchange Format Lngth" = "JPEG Interchange Format Lngth";
"JPEG Restart Interval" = "JPEG Restart Interval";
"JPEG Lossless Predictors" = "JPEG Lossless Predictors";
"JPEG Point Transforms" = "JPEG Point Transforms";
"JPEG Q Tables" = "JPEG Q Tables";
"JPEG DC Tables" = "JPEG DC Tables";
"JPEG AC Tables" = "JPEG AC Tables";

// EXIF
"Exposure Time" = "Exposure Time";
"Exp. Time" = "Exp. Time";
"F Number" = "F Number";
"F #" = "F";
"Exposure Program" = "Exposure Program";
"Spectral Sensitivity" = "Spectral Sensitivity";
"ISO Speed Ratings" = "ISO Speed Ratings";
"Photographic Sensitivity" = "Photographic Sensitivity";
"Photo Sensitivity" = "Sensitivity";
"OECF" = "Optoelectric Conversion Factor";
"Time Zone Offset" = "Time Zone Offset";
"Self Timer Mode" = "Self Timer Mode";
"Sensitivity Type" = "Sensitivity Type";
"SOS (Standard Output Sensitivity)" = "SOS (Standard Output Sensitivity)";
"REI (Recommended Exposure Index)" = "REI (Recommended Exposure Index)";
"ISO Speed Latitude yyy" = "ISO Speed Latitude yyy";
"ISO Speed Latitude zzz" = "ISO Speed Latitude zzz";
"Exif Version" = "Exif Version";
"Date Time Original" = "Date Time Original";
"Date Time Digitized" = "Date Time Digitized";
"Offset Time" = "Offset Time";
"Offset Time Original" = "Offset Time Original";
"Offset Time Digitized" = "Offset Time Digitized";
"Components Configuration" = "Components Configuration";
"Compressed Bits per Pixel" = "Compressed Bits per Pixel";
"Shutter Speed Value" = "Shutter Speed Value";
"Aperture Value" = "Aperture Value";
"Brightness Value" = "Brightness Value";
"Exposure Bias Value" = "Exposure Bias Value";
"Exposure Bias" = "Exposure Bias";
"Exp. Bias" = "Exp. Bias";
"Max Aperture Value" = "Max Aperture Value";
"Subject Distance" = "Subject Distance";
"Metering Mode" = "Metering Mode";
"Light Source" = "Light Source";
"Flash" = "Flash";
"Focal Length" = "Focal Length";
"F-Length" = "F-Length";
"Subject Area" = "Subject Area";
"Maker Note" = "Maker Note";
"User Comment" = "User Comment";

"Subsecond Time" = "Sub-second Time";
"Subsecond Time Original" = "Sub-second Time Original";
"Subsecond Time Digitized" = "Sub-second Time Digitized";

"Temperature" = "Temperature";
"Humidity" = "Humidity";
"Pressure" = "Pressure";
"Water Depth" = "Water Depth";
"Acceleration" = "Acceleration";
"Camera Elevation Angle" = "Camera Elevation Angle";

"Composite Image" = "Composite Image";
"Source Image Number of Composite Image" = "Source Image Number of Composite Image";
"Source Exposure Times of Composite Image" = "Source Exposure Times of Composite Image";

"Flashpix Version" = "Flashpix Version";
"Color Space" = "Color Space";
"Pixel X Dimension" = "Pixel X Dimension";
"Pixel Y Dimension" = "Pixel Y Dimension";
"Related Sound File" = "Related Sound File";
"DCF Interoperability Data" = "DCF Interoperability Data";
"Flash Energy" = "Flash Energy";
"Spatial Frequency Response" = "Spatial Frequency Response";
"Focal Plane X Resolution" = "Focal Plane X Resolution";
"Focal Plane Y Resolution" = "Focal Plane Y Resolution";
"Focal Plane Resolution Unit" = "Focal Plane Resolution Unit";
"Subject Location" = "Subject Location";
"Exposure Index" = "Exposure Index";
"Sensing Method" = "Sensing Method";
"File Source" = "File Source";
"Scene Type" = "Scene Type";
"CFA Pattern" = "CFA Pattern";

"Custom Rendered" = "Custom Rendered";
"Exposure Mode" = "Exposure Mode";
"White Balance" = "White Balance";
"Digital Zoom Ratio" = "Digital Zoom Ratio";
"Focal Length in 35mm Film" = "Focal Length in 35mm Film";
"Scene Capture Type" = "Scene Capture Type";
"Gain Control" = "Gain Control";
"Contrast" = "Contrast";
"Saturation" = "Saturation";
"Sharpness" = "Sharpness";
"Device Setting Description" = "Device Setting Description";
"Subject Distance Range" = "Subject Distance Range";
"Image Unique ID" = "Image Unique ID";
"Camera Owner Name" = "Camera Owner Name";
"Body Serial Number" = "Body Serial Number";
"Lens" = "Lens";
"Lens Specification" = "Lens Specification";
"Lens Make" = "Lens Make";
"Lens Model" = "Lens Model";
"Lens Serial Number" = "Lens Serial Number";
"Image Title" = "Image Title";
"Photographer" = "Photographer";
"Image Editor" = "Image Editor";
"Camera Firmware" = "Camera Firmware";
"RAW Developing Software" = "RAW Developing Software";
"Image Editing Software" = "Image Editing Software";
"Metadata Editing Software" = "Metadata Editing Software";
"Gamma" = "Gamma";

// Interoperability
"DCF Interoperability" = "DCF Interoperability";
"Interoperability Index" = "Interoperability Index";
"Interoperability Version" = "Interoperability Version";
"Related Image File Format" = "Related Image File Format";
"Related Image Width" = "Related Image Width";
"Related Image Length" = "Related Image Height";
// Interoperability Index
"R98 (Basic)" = "R98 (Basic)";
"THM (Thumbnail)" = "THM (Thumbnail)";
"R03 (Optional)" = "R03 (Optional)";

// GPS Info
"GPS Version" = "GPS Version";
"GPS Latitude Reference" = "Latitude Reference";
"GPS Latitude" = "Latitude";
"GPS Longitude Reference" = "Longitude Reference";
"GPS Longitude" = "Longitude";
"GPS Altitude Reference" = "Altitude Reference";
"GPS Altitude" = "Altitude";
"GPS Time Stamp" = "Time Stamp";
"GPS Date & Time Stamp" = "Date & Time Stamp";
"GPS Satellites" = "Satellites";
"GPS Status" = "Status";
"GPS Measure Mode" = "Measure Mode";
"GPS DOP" = "Degree of Precision";
"GPS Speed Reference" = "Speed Unit";
"GPS Speed" = "Speed";
"GPS Track Reference" = "Track Reference";
"GPS Track" = "Track";
		
"GPS Image Direction Reference" = "Image Direction Reference";
"GPS Image Direction" = "Image Direction";
"GPS Map Datum" = "Map Datum";
"GPS Destination Latitude Reference" = "Destination Latitude Reference";
"GPS Destination Latitude" = "Destination Latitude";
"GPS Destination Longitude Reference" = "Destination Longitude Reference";
"GPS Destination Longitude" = "Destination Longitude";
"GPS Destination Bearing Reference" = "Destination Bearing Reference";
"GPS Destination Bearing" = "Destination Bearing";
"GPS Destination Distance Reference" = "Destination Distance Unit";
"GPS Destination Distance" = "Destination Distance";
"GPS Processing Method" = "Processing Method";
"GPS Area Information" = "Area Information";
"GPS Date Stamp" = "Date Stamp";
"GPS Differential" = "Differential";
"GPS HPositioning Error" = "Horizontal Positioning Error";

"GPS Values" = "N/S, W/E, Latitude and Longitude";
"GPS Destination Values" = "N/S, W/E, Latitude and Longitude of Destination";
"GPS Latitude format" = "%1$@ %2$@";
"GPS Longitude format" = "%1$@ %2$@";
"GPS N" = "N";
"GPS S" = "S";
"GPS W" = "W";
"GPS E" = "E";
"GPS North" = "North";
"GPS South" = "South";
"GPS West" = "West";
"GPS East" = "East";
"GPS Above Ellipsoidal Surface" = "Above Ellipsoidal Surface";
"GPS Below Ellipsoidal Surface" = "Below Ellipsoidal Surface";
"GPS Above Sea Level" = "Above Sea Level";
"GPS Below Sea Level" = "Below Sea Level";
"GPS In Progress" = "A (In Progress)";
"GPS Interoperability" = "V (Interoperability)";
"GPS 2-Dimensional Measurement" = "2-Dimensional Measurement";
"GPS 3-Dimensional Measurement" = "3-Dimensional Measurement";
"GPS Km/h" = "Km/h";
"GPS MPH" = "MPH";
"GPS Knots" = "Knots";
"GPS Kilometers" = "Kilometers";
"GPS Miles" = "Miles";
"GPS Nautical Miles" = "Nautical Miles";
"GPS True Direction" = "True Direction";
"GPS Magnetic Direction" = "Magnetic Direction";
"GPS Measurement without Differential Correction" = "Measurement without Differential Correction";
"GPS Differential Correction Applied" = "Differential Correction Applied";

// Subfile Type
"Full-Resolution" = "Full-Resolution";
"Reduced-Resolution" = "Reduced-Resolution";
"A Page of a Multi-Page" = "A Page of a Multi-Page";

// Orientation
"1 Top-Left" = "Normal";
"6 Right-Top" = "Rotated 90° Clockwise";
"8 Left-Bottom" = "Rotated 90° Counterclockwise";
"3 Bottom-Right" = "Rotated 180°";
"2 Top-Right" = "Flipped Horizontally";
"4 Bottom-Left" = "Flipped Vertically";
"7 Right-Bottom" = "Rotated 90° Clockwise and Flipped Vertically";
"5 Left-Top" = "Rotated 90° Counterclockwise and Flipped Vertically";

// Planar Configuration
"Chunky Format" = "Chunky Format";
"Planar Format" = "Planar Format";

// Unit
"inches" = "inches";
"centimeters" = "centimeters";

// Compression
"Uncompressed" = "Uncompressed";
"JPEG compression" = "JPEG compression";

"Grayscale" = "Grayscale";

"Auto" = "Auto";

// Exposure Program
"Not Defined" = "Not Defined";
"Manual" = "Manual";
"Normal Program" = "Normal Program";
"Aperture Priority" = "Aperture Priority";
"Shutter Priority" = "Shutter Priority";
"Creative Program" = "Creative Program";
"Action Program" = "Action Program";
"Portrait Mode" = "Portrait Mode";
"Landscape Mode" = "Landscape Mode";

// Sensitivity Type
"ISO Speed" = "ISO Speed";
"SOS and REI" = "SOS and REI";
"SOS and ISO Speed" = "SOS and ISO Speed";
"REI and ISO Speed" = "REI and ISO Speed";
"SOS, REI and ISO Speed" = "SOS, REI and ISO Speed";

// Flash
"Did not Fire" = "Did not Fire";
"Fired" = "Fired";
"Fired, Return Light not Detected" = "Fired, Return Light not Detected";
"Fired, Return Light Detected" = "Fired, Return Light Detected";
"Fired, Compulsory Flash Mode" = "Fired, Compulsory Flash Mode";
"Fired, Compulsory Flash Mode, Return Light not Detected" = "Fired, Compulsory Flash Mode, Return Light not Detected";
"Fired, Compulsory Flash Mode, Return Light Detected" = "Fired, Compulsory Flash Mode, Return Light Detected";
"Did not Fire, Compulsory Flash Suppression Mode" = "Did not Fire, Compulsory Flash Suppression Mode";
"Did not Fire, Auto Mode" = "Did not Fire, Auto Mode";
"Fired, Auto Mode" = "Fired, Auto Mode";
"Fired, Auto Mode, Return Light not Detected" = "Fired, Auto Mode, Return Light not Detected";
"Fired, Auto Mode, Return Light Detected" = "Fired, Auto Mode, Return Light Detected";
"No Flash Function" = "No Flash Function";
"Fired, Red-eye Reduction Mode" = "Fired, Red-eye Reduction Mode";
"Fired, Red-eye Reduction Mode, Return Light not Detected" = "Fired, Red-eye Reduction Mode, Return Light not Detected";
"Fired, Red-eye Reduction Mode, Return Light Detected" = "Fired, Red-eye Reduction Mode, Return Light Detected";
"Fired, Compulsory Flash Mode, Red-eye Reduction Mode" = "Fired, Compulsory Flash Mode, Red-eye Reduction Mode";
"Fired, Compulsory Flash Mode, Red-eye Reduction Mode, Return Light not Detected" = "Fired, Compulsory Flash Mode, Red-eye Reduction Mode, Return Light not Detected";
"Fired, Compulsory Flash Mode, Red-eye Reduction Mode, Return Light Detected" = "Fired, Compulsory Flash Mode, Red-eye Reduction Mode, Return Light Detected";
"Fired, Auto Mode, Red-eye Reduction Mode" = "Fired, Auto Mode, Red-eye Reduction Mode";
"Fired, Auto Mode, Return Light not Detected, Red-eye Reduction Mode" = "Fired, Auto Mode, Return Light not Detected, Red-eye Reduction Mode";
"Fired, Auto Mode, Return Light Detected, Red-eye Reduction Mode" = "Fired, Auto Mode, Return Light Detected, Red-eye Reduction Mode";

"Infinity" = "Infinity";
"UNK" = "UNK";
"Invalid" = "Invalid";
// Light Source
"Unknown" = "Unknown";
"Unknown (unk.)" = "unk.";
"Daylight" = "Daylight";
"Fluorescent" = "Fluorescent";
"Tungsten" = "Tungsten";
"Fine Weather" = "Fine Weather";
"Cloudy Weather" = "Cloudy Weather";
"Shade" = "Shade";
"Daylight Fluorescent" = "Daylight Fluorescent (D:5700 - 7100K)";
"Day White Fluorescent" = "Day White Fluorescent (N:4600 - 5400K)";		// 2.21
"Cool White Fluorescent" = "Cool White Fluorescent (W:3900 - 4500K)";	// 2.21
"White Fluorescent" = "White Fluorescent (WW:3200 - 3700K)";					// 2.21
"Day White Fluorescent 0230" = "Day White Fluorescent (N：4600 - 5500K)";		// 2.30
"Cool White Fluorescent 0230" = "Cool White Fluorescent (W：3800 - 4500K)";	// 2.30
"White Fluorescent 0230" = "White Fluorescent (WW：3250 - 3800K)";						// 2.30
"Warm White Fluorescent" = "Warm White Fluorescent (L：2600 - 3250K)";				// 2.30
"Standard Light A" = "Standard Light A";
"Standard Light B" = "Standard Light B";
"Standard Light C" = "Standard Light C";
"D55" = "D55";
"D65" = "D65";
"D75" = "D75";
"ISO Studio Tungsten" = "ISO Studio Tungsten";
"Other Light Source" = "Other Light Source";

// Subject Area
"Center Coordinates" = "Center Coordinates";
"Area Size" = "Area Size";
"Diameter" = "Diameter";

// Sensing Method
"One-Chip Color Area Sensor" = "One-Chip Color Area Sensor";
"Two-Chip Color Area Sensor" = "Two-Chip Color Area Sensor";
"Three-Chip Color Area Sensor" = "Three-Chip Color Area Sensor";
"Color Sequential Area Sensor" = "Color Sequential Area Sensor";
"Trilinear Sensor" = "Trilinear Sensor";
"Color Sequential Linear Sensor" = "Color Sequential Linear Sensor";

// File Source
"Others" = "Others";
"Scanner of Transparent Type" = "Scanner of Transparent Type";
"Scanner of Reflex Type" = "Scanner of Reflex Type";
"DSC" = "Digital still camera";

// Scene Type
"Directly Photographed Image" = "Directly Photographed Image";

// White Balance
"Auto White Balance" = "Auto";
"Manual White Balance" = "Manual";

// Metering Mode
"Average" = "Average";
"Center Weighted Average" = "Center Weighted Average";
"Spot" = "Spot";
"Multi-Spot" = "Multi-Spot";
"Pattern" = "Pattern";
"Partial" = "Partial";
"Other" = "Other";

// Custom Rendered
"Normal Process" = "Normal Process";
"Custom Process" = "Custom Process";

// Exposure Mode
"Auto Exposure" = "Auto";
"Manual Exposure" = "Manual";
"Auto Bracket" = "Auto Bracket";

// Color Space
"sRGB" = "sRGB";
"Uncalibrated" = "Uncalibrated";

// Scene Capture Type
"Standard" = "Standard";
"Landscape" = "Landscape";
"Portrait" = "Portrait";
"Night Scene" = "Night Scene";

// Gain Control
"None" = "None";
"Low Gain Up" = "Low Gain Up";
"High Gain Up" = "High Gain Up";
"Low Gain Down" = "Low Gain Down";
"High Gain Down" = "High Gain Down";

// Contrast
"Normal" = "Normal";
"Soft" = "Soft";
"Hard" = "Hard";

// Saturation
"Low Saturation" = "Low Saturation";
"High Saturation" = "High Saturation";

// Sharpness
"Soft Sharpness" = "Soft";
"Hard Sharpness" = "Hard";

// Subject Distance Range
"Macro" = "Macro";
"Close View" = "Close View";
"Distant View" = "Distant View";

// Composite Image
"Non-Composite Image" = "Non-Composite Image";
"General Composite Image" = "General Composite Image";
"Composite Image Captured When Shooting Reserved" = "Composite Image Captured When Shooting Reserved";
"Total Number of Source Images" = "Total Image Count";
"Number of Source Images Used" = "Used Image Count";
"SourceExposureTimesOfCompositeImage Total Exposure Period:" = "Total Exposure Period:";
"SourceExposureTimesOfCompositeImage Sum:" = "Sum:";
"SourceExposureTimesOfCompositeImage Max:" = "Max:";
"SourceExposureTimesOfCompositeImage Mini:" = "Mini:";
"SourceExposureTimesOfCompositeImage Number of Sequences:" = "Number of Sequences:";
"SourceExposureTimesOfCompositeImage Images:" = "Images:";

// YCbCr
"Centered" = "Centered";
"Co-sited" = "Co-sited";

// Lens Specification
"Minimum Focal Length" = "Minimum Focal Length";
"Maximum Focal Length" = "Maximum Focal Lengt";
"Minimum F Number in the Minimum Focal Length" = "Minimum F Number in the Minimum Focal Length";
"Minimum F Number in the Maximum Focal Length" = "Minimum F Number in the Maximum Focal Length";

// GPS Processing Method
"GPS" = "GPS";
"QZSS" = "Quasi-Zenith Satellite System (QZSS)";
"GALILEO" = "Galileo";
"GLONASS" = "GLONASS";
"BEIDOU" = "BeiDou Navigation Satellite System";
"NAVIC" = "Navigation Indian Constellation (NavIC)";
"CELLID" = "Mobile Phone Base Station (cell-id)";
"WLAN" = "Wireless LAN";
"MANUAL" = "Entered Manually";
